# PlatformAwareComponentSpec

API Documentation: | `PlatformAwareComponentSpec`

Known Subtypes: |
`TargetedNativeComponent`

Note: This class is incubating and may change in a future version of Gradle.

Defines Platform specific operations for ComponentSpecs

### Properties

Property | Description
`binaries` | Incubating The variants produced for this component spec.
`displayName` | Incubating Returns a human-consumable display name for this element.

### Methods

Method | Description
`targetPlatform(targetPlatform)` | Incubating Specifies a platform that this component should be built be for.

### Script blocks

No script blocks

### Property details

#### ``ModelMap`<`BinarySpec`>` `binaries` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The variants produced for this component spec.

#### `String` `displayName` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

Returns a human-consumable display name for this element.

### Method details

#### `void` `targetPlatform`(`String` targetPlatform)

Note: This method is incubating and may change in a future version of Gradle.

Specifies a platform that this component should be built be for.